## libreoffice 7.6.2

=== meson_options.txt ===
# HarfBuzz feature options
option('glib', type: 'feature', value: 'auto',
  description: 'Enable GLib unicode functions')
option('gobject', type: 'feature', value: 'auto',
  description: 'Enable GObject bindings')
option('cairo', type: 'feature', value: 'auto',
  description: 'Use Cairo graphics library')
option('chafa', type: 'feature', value: 'auto',
  description: 'Use Chafa terminal graphics library')
option('icu', type: 'feature', value: 'auto',
  description: 'Enable ICU library unicode functions')
option('graphite', type: 'feature', value: 'disabled',
  description: 'Deprecated use graphite2 option instead')
option('graphite2', type: 'feature', value: 'disabled',
  description: 'Enable Graphite2 complementary shaper')
option('freetype', type: 'feature', value: 'auto',
  description: 'Enable freetype interop helpers')
option('gdi', type: 'feature', value: 'disabled',
  description: 'Enable GDI helpers and Uniscribe shaper backend (Windows only)')
option('directwrite', type: 'feature', value: 'disabled',
  description: 'Enable DirectWrite shaper backend on Windows (experimental)')
option('coretext', type: 'feature', value: 'disabled',
  description: 'Enable CoreText shaper backend on macOS')
option('wasm', type: 'feature', value: 'disabled',
  description: 'Enable WebAssembly shaper backend (experimental)')

# Common feature options
option('tests', type: 'feature', value: 'enabled', yield: true,
  description: 'Enable or disable unit tests')
option('introspection', type: 'feature', value: 'auto', yield: true,
  description: 'Generate gobject-introspection bindings (.gir/.typelib files)')
option('docs', type: 'feature', value: 'auto', yield: true,
  description: 'Generate documentation with gtk-doc')
option('doc_tests', type: 'boolean', value: false,
  description: 'Run gtkdoc-check tests')
option('utilities', type: 'feature', value: 'enabled', yield: true,
  description: 'Build harfbuzz utils')

option('benchmark', type: 'feature', value: 'disabled',
  description: 'Enable benchmark tests')
option('icu_builtin', type: 'boolean', value: false,
  description: 'Don\'t separate ICU support as harfbuzz-icu module')
option('experimental_api', type: 'boolean', value: false,
  description: 'Enable experimental APIs')
option('ragel_subproject', type: 'boolean', value: false,
  description: 'Build Ragel subproject if no suitable version is found')
option('fuzzer_ldflags', type: 'string',
  description: 'Extra LDFLAGS used during linking of fuzzing binaries')

=== bazel/Makefile ===
EXPORTER_TOOL=bazel-bin/bazel/exporter_tool/exporter_tool_/exporter_tool
EXPORTER_RULES=-rule='//src/...' -rule='//modules/...' -rule='//include/...' -rule='//resources/...'

generate:
	echo "You do not need to run this any more for C++ code, only if you modify go code"

generate_go:
	cd .. && bazelisk run //:gazelle -- update infra/bots/task_drivers modules/canvaskit/go \
       bazel/exporter  bazel/deps_parser tools/gpu/gl/interface

.PHONY: generate_cmake
generate_cmake:
	cd .. && bazelisk build //bazel/exporter_tool && ${EXPORTER_TOOL} \
		-output_format=cmake -proj_name=Skia -rule='//:skia_public'

.PHONY: generate_gni
generate_gni:
	# It is tempting to try to put this into a blaze run command. However, that
	# is currently infeasible due to the fact that the exporter tool *calls*
	# Bazel, resulting in a deadlock because only one Bazel command can run
	# at a time.
	cd .. && bazelisk build //bazel/exporter_tool --config=no_sandbox && \
        ${EXPORTER_TOOL} -output_format=gni -proj_name=Skia ${EXPORTER_RULES} \
		&& bazelisk run //bazel/external/gn -- format gn/*.gni modules/*/*.gni

.PHONY: generate_gni_rbe
generate_gni_rbe:
	cd .. && bazelisk build //bazel/exporter_tool --config=linux_rbe --jobs=100 \
 		--platforms=@io_bazel_rules_go//go/toolchain:$(shell bazelisk run //bazel/utils:go_platform) \
 		--remote_download_toplevel && \
        ${EXPORTER_TOOL} -output_format=gni -proj_name=Skia ${EXPORTER_RULES} \
		&& bazelisk run //bazel/external/gn -- format gn/*.gni modules/*/*.gni

.PHONY: mocks
mocks:
	go generate ./...

# This target should be run after the go.mod file is updated (e.g. version rolls or new updates)
gazelle_update_repo:
	cd .. && bazelisk run //:gazelle -- update-repos -from_file=go.mod -to_macro=go_repositories.bzl%go_repositories

# Run this target to test all known working Bazel builds
known_good_builds:
	bazelisk build //:skia_public
	bazelisk build //:skia_internal
	bazelisk build //experimental/bazel_test/...
	bazelisk run //experimental/bazel_test:bazel_test_exe
	bazelisk build //example:hello_world_gl
	bazelisk build //example:hello_world_vulkan
	bazelisk build //example:hello_world_dawn
	bazelisk build //example:vulkan_basic
	bazelisk build //src/sksl/lex:sksllex
	bazelisk build //tools/skdiff
	bazelisk build //tools/skslc
	bazelisk build //modules/skottie:skottie_tool_cpu
	bazelisk build //modules/skottie:skottie_tool_gpu
	bazelisk build //modules/canvaskit:canvaskit --config=ck_full_webgl2_release

rbe_known_good_builds:
	bazelisk build //:skia_public --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //:skia_internal --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //experimental/bazel_test:bazel_test_exe --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //example:hello_world_gl --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //example:hello_world_vulkan --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //example:hello_world_dawn --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //example:vulkan_basic --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //src/sksl/lex:sksllex --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //tools/skdiff --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //tools/skslc --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //modules/skottie:skottie_tool_cpu --config=for_linux_x64_with_rbe --remote_download_minimal
	bazelisk build //modules/skottie:skottie_tool_gpu --config=for_linux_x64_with_rbe --remote_download_minimal
	## TODO(kjlubick) CanvasKit in release mode (i.e. with Closure) requires
	## https://github.com/emscripten-core/emscripten/pull/16640 to land
	bazelisk build //modules/canvaskit:canvaskit --config=linux_rbe \
		--config=ck_full_webgl2_debug --remote_download_minimal

rbe_known_good_tests:
	bazel test //tests/... --config=cpu_only_debug --config=linux_rbe \
		--remote_download_minimal --test_output=errors

iwyu_rbe:
	bazelisk build //:skia_public --config=for_linux_x64_with_rbe \
		--config=enforce_iwyu --remote_download_minimal --nobuild_runfile_manifests
	bazelisk build //modules/skottie:skottie_tool_gpu --config=for_linux_x64_with_rbe \
		--config=enforce_iwyu --remote_download_minimal --nobuild_runfile_manifests
	bazelisk build //tests/... --config=for_linux_x64_with_rbe \
		--config=enforce_iwyu --remote_download_minimal --nobuild_runfile_manifests

iwyu:
	bazelisk build //:skia_public --config=enforce_iwyu \
		--nobuild_runfile_manifests
	bazelisk build //modules/skottie:skottie_tool_gpu --config=enforce_iwyu \
		--nobuild_runfile_manifests
	bazelisk build //tests/... --config=enforce_iwyu \
		--nobuild_runfile_manifests

=== tools/skslc/Makefile ===
# kjlubick@ could not find a good way to run multiple bazel tasks using bazel itself
compile_all_tests:
	bazel run //tools/skslc:compile_glsl_tests --config=release
	bazel run //tools/skslc:compile_glsl_nosettings_tests --config=release
	bazel run //tools/skslc:compile_metal_tests --config=release
	bazel run //tools/skslc:compile_skrp_tests --config=release
	bazel run //tools/skslc:compile_skvm_tests --config=release
	bazel run //tools/skslc:compile_stage_tests --config=release
	bazel run //tools/skslc:compile_spirv_tests --config=release
	bazel run //tools/skslc:compile_wgsl_tests --config=release
	bazel run //tools/skslc:compile_hlsl_tests --config=release

=== debian/changelog ===
libreoffice (4:7.6.2-0ubuntu1) mantic; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 22 Sep 2023 23:29:51 +0200

libreoffice (4:7.6.1~rc2-0ubuntu2) mantic; urgency=medium

  * autopkgtests: Skip one failing test on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 15 Sep 2023 07:39:03 +0200

libreoffice (4:7.6.1~rc2-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate
  * Allow failing bridgetests on armhf/s390x
  * Skip failing float-compound bridgetest on arm/ppc64el/s390x
  * Fix StatisticalFunctionsTest::testStatisticalFormulasFODS on arm64
  * Build with -ffp-contract=off on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 11 Sep 2023 14:25:45 +0200

libreoffice (4:7.6.1~rc2-2) experimental; urgency=medium

  * merge from Ubuntu:
    [ Rico Tzschichholz ]
   - debian/rules: Fix move of
     /usr/lib/libreoffice/share/config/soffice.cfg/simpress
   - debian/tests/control: testtools-bridgetest requires default-jdk
   - debian/patches/fix-armhf-linker.diff:  Fix linking of libswlo.so
     on armhf

  * debian/tests/control.in: add ure-java and liblibreoffice-java to
    testtools-bridgetests' dependencies, too

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Sep 2023 10:16:34 +0530

libreoffice (4:7.6.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - build with -ffp-contract=off on ppc64el 

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Sep 2023 17:29:44 +0200

libreoffice (4:7.6.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - fix install of template(s) on bn-IN

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Aug 2023 18:51:26 +0200

libreoffice (4:7.6.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/fix-{riscv64,loong64}-bridges.diff: as name says; from
    upstream master 
  * debian/patches/curl-8.2.0.diff: add from upstream master; Adapt test
    code to cURL 8.2.0

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Aug 2023 21:57:28 +0200

libreoffice (4:7.6.0~rc2-2) experimental; urgency=medium

  * debian/patches/fix-pdfexport-test.diff: add missing piece (as done
    in upstream libreoffice-7.6.0.2-buildfix1 tag) to fix pdfexport test  

  * debian/rules:
     - use gcc for skia on mipsel/mips64el, too

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Jul 2023 10:47:21 +0200

libreoffice (4:7.6.0~rc2-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * New upstream release candidate

  * debian/control.reportbuilder.in: also fix version in Replaces: here
    (closes: #1041899)
  * debian/watch: watch rcs again
  * debian/rules, debian/control.gtk4.in: move libavmediagtk.so to -gtk4
  
  [ merge from Ubuntu ]
  * debian/rules:
    - use gcc for skia on ppc64el for now

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Jul 2023 20:19:42 +0200

libreoffice (4:7.6.0~rc1-2) experimental; urgency=medium

  [ merge from Ubuntu ]
  * debian/rules:
    + Use gcc-12 on s390x 
    + Build-dep on fonts-* regardless to provide a more complete testbed

  [ Rene Engelhard ]
  * debian/patches/dp_platform-riscv64-and-loongarch64.diff: actually make
    riscv64 and loongarch64 known to "the deployment"
  * debian/tests/patches/smoketest-disable-extension-tests.diff: run the smoketest
    also when extensions are disabled; we patch that out of the smoketest then
    anyway

  * debian/rules:
    - add more "no-make-check checks". sal, cppu(helper), comphelper, unoidl
    - build with noopt (aka -O0) on riscv64 (closes: #1039906)
    - force clang-14 | clang (<< 1:15~) on ppc64el for now
    - introduce new OOO_AUTOPKGTEST_ARCHS ("archs where autopkgtest
      theoretically are ran") and restrict the fonts-* build-deps to those
      (so that fonts-* needed in the uitests are there)
    - rm -f libdeploymentgui.so unconditionally for core-nogui; also remove when the
      arch is not in OOO_EXTENSIONS_ARCHS; also remove unopkg.bin and libunopkgapp.so
      from core if we built without extension support 
    - also force gcc-12 for i386

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Jul 2023 20:33:16 +0000

libreoffice (4:7.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate 

  * debian/patches/we-dont-have-the-needed-fonts.diff: disable test which
    needs fonts neither provided in Debian (nor even upstream)
  * debian/patches/bash-completion-updates.diff: add pages to lowriters bash
    completion (closes: #1033186)
  * debian/temporarily-disable-test-metadata-test.diff: remove, apparently
    works now
  * debian/patches/fix-i386-build.diff: as name says, from upstream gerrit

  * debian/control.in:
    - fix version in Replaces: in -uiconfig-*
  * debian/rules:
    - use --disable-cve-tests on 32bit archs. Fails consistently there on one
      CVE which was a memory leak in tiff and a excpected failure here anyway.
      Fixed in tiff ages ago and we're not really supposed to test others' CVEs as
      we use external libs anyway
    - again run full make check on amd64/arm64/riscv64(!) (and armhf); make fatal
    - only run testtools' bridgetest, "smoketest" as smoketest and the pyuno
      tests on all architectures except amd64/amd64/riscv64/armhf
    - build-depend on libcppunit-dev on all archs
    - clean up some make-check-only Build-Depends(-Arch)
    - move impress' own soffice.cfg which didn't yet end up in
      uiconfig-impress actually there (e.g. layoutlist.xml, which is needed by
      Draw)
  * debian/tests/smoketest: run smoketest using make subsquentcheck in smoketest
  * debian/rules, debian/control.in: 
    - change fonts-liberation2 Build-Depends/Recommends in -common to
      fonts-liberation (>= 1:2)
    - change fonts-liberation2 Build-Depends to fonts-liberation (>= 1:2)

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Jul 2023 19:25:47 +0200

libreoffice (4:7.6.0~beta1-3) experimental; urgency=medium



=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: ant <!nojava>,
               ant-optional <!nojava>,
               autoconf,
               automake,
               bc,
               bison,
               bzip2,
               clang [!ppc64el !s390x],
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !powerpcspe !s390 !sparc] <!nojava>,
               default-libmysqlclient-dev,
               dh-python <!nopython>,
               firebird-dev,
               flex,
               fontforge-nox | fontforge,
               g++-12 [i386],
               g++-12 [s390x],
               gcc-12 [i386],
               gcc-12 [s390x],
               gobject-introspection,
               gperf,
               java-common <!nojava>,
               javahelper <!nojava>,
               junit4 [amd64 arm64 riscv64 armhf] <!nocheck !nojava>,
               libabsl-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl <!nojava>,
               libatk1.0-dev,
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libbsh-java <!nojava>,
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev,
               libcups2-dev,
               libcurl4-gnutls-dev,
               libdbus-1-dev,
               libdconf-dev (>= 0.40),
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libebook1.2-dev,
               libeot-dev,
               libepoxy-dev,
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libexpat1-dev,
               libexttextcat-dev,
               libfontconfig-dev,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype-dev,
               libgirepository1.0-dev,
               libgl-dev,
               libglib2.0-dev,
               libglm-dev,
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libgraphite2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libgtk-4-dev,
               libharfbuzz-dev (>= 5.1.0),
               libhsqldb1.8.0-java <!nojava>,
               libhunspell-dev,
               libhyphen-dev,
               libice-dev,
               libicu-dev,
               libjpeg-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5windowsystem-dev,
               liblangtag-dev,
               liblcms2-dev,
               libldap-dev,
               liblockfile-bin,
               liblpsolve55-dev,
               libmdds-dev (<< 2.2~),
               libmdds-dev (>= 2.1),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmwaw-dev (<< 0.4~),
               libmwaw-dev (>= 0.3.21),
               libmythes-dev,
               libnspr4-dev,
               libnss3-dev,
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               libopenjp2-7-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
               liborcus-dev (<< 0.19~),
               liborcus-dev (>= 0.18),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               libpq-dev,
               libqt5x11extras5-dev,
               librdf0-dev,
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsane-dev,
               libsm-dev,
               libsuitesparse-dev,
               libtiff-dev,
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwebp-dev,
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libwps-dev (<< 0.5~),
               libwps-dev (>= 0.4),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev,
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.35),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               lp-solve,
               maven-repo-helper,
               pkg-config,
               python3,
               python3-dev <!nopython>,
               python3-distutils <!nopython>,
               qmake6,
               qt5-qmake,
               qt6-base-dev,
               qt6-base-dev-tools,
               qtbase5-dev,
               qtbase5-dev-tools,
               unixodbc-dev,
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: firebird3.0-server-core <!nocheck>,
                    fontconfig [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-crosextra-carlito (>= 20230309) [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-dejavu [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-hosny-amiri [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-liberation (>= 1:2) [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-linuxlibertine [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-noto-core [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    gdb [!ppc64el !s390x] <!nocheck>,
                    ghostscript [!ppc64el !s390x] <!nocheck>,
                    gpg [!ppc64el !s390x] <!nocheck>,
                    gpg-agent [!ppc64el !s390x] <!nocheck>,
                    gpgconf [!ppc64el !s390x] <!nocheck>,
                    hunspell-en-us [!ppc64el !s390x] <!nocheck>,
                    hyphen-en-us [!ppc64el !s390x] <!nocheck>,
                    imagemagick [!ppc64el !s390x] <!nocheck>,
                    libcppunit-dev <!nocheck>,
                    liborcus-dev (>= 0.18.1) <!nocheck>,
                    locales [!ppc64el !s390x] <!nocheck>,
                    poppler-data [!ppc64el !s390x] <!nocheck>,
                    pstoedit [!ppc64el !s390x] <!nocheck>,
                    python3-lxml [!ppc64el !s390x] <!nocheck !nopython>
Build-Depends-Indep: apparmor <!nocheck>,
                     dh-apparmor,
                     doxygen <!nodoc>,
                     gettext,
                     graphviz <!nodoc>,
                     junit4 <!nojava>,
                     rdfind,
                     symlinks
Build-Conflicts: amd-libopencl1,
                 fonts-opensymbol <!nocheck>,
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1,
                 systemd-coredump <!nocheck>
Standards-Version: 4.0.1
Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-mantic-7.6
Vcs-Browser: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice
Bugs: mailto:libreoffice@lists.launchpad.net
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
Section: metapackages
Depends: libreoffice-base,
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin,
         libreoffice-writer,
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-crosextra-caladea,
            fonts-crosextra-carlito,
            fonts-dejavu,
            fonts-linuxlibertine,
            fonts-noto-core,
            fonts-noto-extra,
            fonts-noto-mono,
            fonts-noto-ui-core,
            fonts-sil-gentium-basic,
            libreoffice-gnome | libreoffice-plasma,
            libreoffice-nlpsolver,
            libreoffice-report-builder,
            libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-mysql,
            libreoffice-sdbc-postgresql,
            libreoffice-wiki-publisher,
            ${java-common-depends},
            ${liberation-fonts-recommends}
Suggests: cups-bsd,
          firefox | firefox-esr | thunderbird,
          ghostscript,
          gnupg,
          gpa,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-grammarcheck,
          libreoffice-help (= ${help-l10n-virtual-version}),
          libreoffice-l10n (= ${help-l10n-virtual-version}),
          libreoffice-librelogo,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${libsane-suggests},
          ${ooo-officebean-dep}
Conflicts: libreoffice-dev (<= 1:5.0.3~rc1-2),
           libreoffice-dev-doc (<= 1:5.0.3~rc1-2)
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 It also recommends additional packages (e.g. fonts) in order to match an
 upstream LibreOffice install as closely as possible.
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk(2|3): Gtk UI Plugin, GNOME File Picker support
  * libreoffice-gnome: GIO backend
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files
  * firefox-esr | thunderbird | firefox:
    Mozilla profile with Certificates needed for XML Security...
  * openjdk-11-jre | openjdk-8-jre | java8-runtime:
    Java Runtime Environment for use with LibreOffice
  * pstoedit / imagemagick / ghostscript: helper tools for EPS
  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
    media backend
  * libpaper-utils: papersize detection support via paperconf

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2023 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
#HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
HELP_L10N_VIRTUAL_VERSION:=7.6
OOVER:=7.6
NEXT_OOVER:=24.2
# for when the "new" scheme is adapted
#OOVER:=24.2
#HELP_L10N_VIRTUAL_VERSION:=$(OOVER)
#NEXT_OOVER=$(shell echo "$(OOVER) + .6" | bc)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -a)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

ifneq (,$(shell pwd | grep autopkgtest))
AUTOPKGTEST_BUILD=y
$(warning Build for autopkgtest)
endif
AUTOPKGTEST_CPPUNIT_PACKAGES := $(shell dh_listpackages | grep -v help | grep -v l10n | grep -v dev-doc | grep -v "nogui$$")

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(..\..\)\../\1/p' | cut -d" " -f1)
SYSTEM_CLANG_VERSION = $(shell clang -v 2>&1 | head -n1 | awk '{ print $$4 }' | cut -d. -f1)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
ifneq "$(DEB_VENDOR)" "Debian"
OOO_VENDOR:=The Document Foundation, $(DEB_PARENT_VENDOR) and $(DEB_VENDOR)
else
OOO_VENDOR=The Document Foundation/$(DEB_VENDOR)
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=n
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
# bootstraping this from the source tree is breaking get-orig-source
#lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
lo_sources_ver=7.6.2.1
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-7-6-2
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

ifeq "$(USE_GIT_TARBALLS)" "y"
YARU_GIT_TAG=2023-07-04
endif

YARU_ACCENTS = bark blue magenta olive prussiangreen purple red sage viridian mate
YARU_IMAGES = yaru yaru_svg $(foreach y, $(YARU_ACCENTS),yaru_$(y) yaru_$(y)_svg)

#########
# Default package configuration
#
OOO_ARCHS = amd64 arm64 armhf ppc64el riscv64 s390x
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    flex, \
    fontforge-nox | fontforge, \
    gperf,\
    libfreetype-dev,\
    libfontconfig-dev,\
    pkg-config,\
    unzip,\
    xsltproc,\
    zip,\
    zlib1g-dev\

BUILD_DEPS_INDEP += rdfind, symlinks

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_GUI=y

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  CONFIGURE_FLAGS += --enable-python=system
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
  export PYTHON
else
  # somehow configure insists on using python3 "for pyuno". The only way to
  # override this (afaics) is this...
  PYTHON=python$(PYTHON_VERSION)
  PYTHON_CFLAGS=$(shell pkg-config --cflags python-$(PYTHON_VERSION))
  PYTHON_LIBS=$(shell pkg-config --libs python-$(PYTHON_VERSION))
  export PYTHON PYTHON_VERSION PYTHON_CFLAGS PYTHON_LIBS
endif
endif
BUILD_ONLY_EN_US=n
ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
  ENABLE_JAVA=y
  ifeq "$(ENABLE_JAVA)" "y"
    JDK=default
    include /usr/share/java/java_defaults.mk
    ifneq "$(JDK)" "default"
      JAVA_MAINVER=7
    endif
  endif
else
  ENABLE_JAVA=n
endif
#JAVAHELPER_MIN_VERSION=
SYSTEM_STUFF += hunspell
SYSTEM_STUFF += altlinuxhyph
SYSTEM_STUFF += boost
BOOST_VERSION=default
# libmdds-dev depends on libboost-dev, which will be removed
# when you install a non-default libboostX.Y-dev
ifeq "$(BOOST_VERSION)" "default"
SYSTEM_STUFF += mdds
endif
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libepubgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
SYSTEM_STUFF += libpagemaker
SYSTEM_STUFF += libzmf
SYSTEM_STUFF += libstaroffice
SYSTEM_STUFF += libqxp
ENABLE_ZXING=y
SYSTEM_STUFF += zxing
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
ifeq "$(ENABLE_GUI)" "y"
BUILD_PLASMA=y
ENABLE_QT5=n
#QT5_MINVER=
endif
ifeq "$(BUILD_PLASMA)" "y"
  ENABLE_KF5=y
  # KF5 depends on Qt5
  ifeq "$(ENABLE_KF5)" "y"
    ENABLE_QT5=y
    KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
  endif
endif
ENABLE_QT6=y
# https://www.debian.org/doc/debian-policy/ says this is not defined and must
# be ignored, but dh_strip mentions (and honours) it, so...
ifneq (noautodbgsym,$(findstring noautodbgsym,$(DEB_BUILD_OPTIONS)))
BUILD_DBGSYM_PACKAGES=y
ifeq "$(DEB_HOST_ARCH)" "amd64"
USE_DWZ=y
DWZ_ARGS:=-L 100000000
endif
endif
SYSTEM_STUFF += xmlsec
USE_SYSTEMD=n

ifeq ($(filter noinsttest,$(DEB_BUILD_PROFILES)),)
 # this changes the packages built/contents of packages (-subsequentcheckbase)
 # This is not exactly allowed in https://wiki.debian.org/BuildProfileSpec#Registered_profile_names
 # but it doesn't have real practical difference, does it?
  ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
    BUILD_TEST_PACKAGES=y
  endif
endif

ifneq ($(MAKECMDGOALS),build-indep)
ENABLE_SYMBOLS=y
SMALL_SYMBOLS=y
endif
ifeq ($(MAKECMDGOALS),build-indep)
# no need to do a double build...
BUILD_NOGUI_PACKAGES=n
# go sure
  ifeq "$(BUILD_TEST_PACKAGES)" "y"
    ENABLE_JUNIT4=y
  endif
endif

ifeq "$(ENABLE_JAVA)" "y"
  SYSTEM_STUFF += beanshell
  SYSTEM_STUFF += hsqldb
endif
SYSTEM_STUFF += lpsolve
USE_SHARED_LPSOLVE=y
#LPSOLVE_MIN_VERSION=
ENABLE_COINMP=y
SYSTEM_STUFF += coinmp
USE_DBUS=y
ifeq "$(USE_DBUS)" "y"
  ifeq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
    ENABLE_BLUETOOTH=n
  else
    ENABLE_BLUETOOTH=y
    SYSTEM_STUFF += bluez
  endif

## libreoffice 7.6.4

=== debian/changelog ===
libreoffice (4:7.6.4-0ubuntu0.23.10.1) mantic-security; urgency=medium

  * New upstream release (LP: #2044019)
  * SECURITY UPDATE: Improper input validation enabling arbitrary Gstreamer
    pipeline injection
    - CVE-2023-6185
  * SECURITY UPDATE: Link targets allow arbitrary script execution
    - CVE-2023-6186

  [ Rico Tzschichholz ]
  * debian/patches/fix-arm64-tests.diff:
    - Dropped while it got fixed upsteam
  * debian/patches/fix-armhf-linker.diff:
    - Included upsteam now
  * Update replace-source-sans-in-templates.diff

  [ Rene Engelhard ]
  * debian/rules:
    - readd fonts-crosextra-caladea build-dep; Cambria usage is back
    - re-enable cmis; bump libcmis build-dep to >= 0.6.1
  * debian/control.in:
    - duplicate Replaces: as Breaks: in -uiconfig-*
  * Update patches/we-dont-have-the-needed-fonts.diff and
    patches/adapt-for-new-carlito.diff

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 07 Dec 2023 22:10:12 +0100

=== debian/control ===
--- 
+++ 
@@ -167,6 +167,7 @@
                zlib1g-dev
 Build-Depends-Arch: firebird3.0-server-core <!nocheck>,
                     fontconfig [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
+                    fonts-crosextra-caladea [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                     fonts-crosextra-carlito (>= 20230309) [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                     fonts-dejavu [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                     fonts-hosny-amiri [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
@@ -302,6 +303,3 @@
   * openjdk-11-jre | openjdk-8-jre | java8-runtime:
     Java Runtime Environment for use with LibreOffice
   * pstoedit / imagemagick / ghostscript: helper tools for EPS
-  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
-    media backend
-  * libpaper-utils: papersize detection support via paperconf

=== debian/rules ===
--- 
+++ 
@@ -78,11 +78,11 @@
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
 # bootstraping this from the source tree is breaking get-orig-source
 #lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=7.6.2.1
+lo_sources_ver=7.6.4.1
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-7-6-2
+GIT_BRANCH=libreoffice-7-6-4
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)

## libreoffice 7.6.7

=== debian/changelog ===
libreoffice (4:7.6.7-0ubuntu0.23.10.3) mantic-security; urgency=medium

  * SECURITY UPDATE: TLS certificate are not properly verified when
    utilizing LibreOfficeKit (LP: #2071624)
    - debian/patches/CVE-2024-5261.patch: Revert "LOK: Allow image
      upload from WOPI-like host with self-signed cert"
    - CVE-2024-5261

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 01 Jul 2024 16:21:11 +0200

libreoffice (4:7.6.7-0ubuntu0.23.10.2) mantic-security; urgency=medium

  * No-change rebuild in the -security pocket to fix CVE-2024-3044.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 24 May 2024 08:58:38 -0400

libreoffice (4:7.6.7-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream release (LP: #2065152)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 07 May 2024 20:01:01 +0200

libreoffice (4:7.6.6-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream release (LP: #2058687)
  * debian/rules:
    - also suggest libreoffice-{hyphenation,spellcheck}-tr in -l10n-tr
      and libreoffice-{hyphenation,spellcheck}-fr in -l10n-fr (as for fi)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 21 Mar 2024 20:20:29 +0100

libreoffice (4:7.6.5-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream release (LP: #2054111)

  [ Rene Engelhard ]
  * debian/rules:
    - Don't remove libforuilo.so in -core-nogui. It's subsumed in
      libmerged on 64bit archs only (similar as libuuilo.so).
    - Build with --disable-split-debug on riscv64 to resolve GDB
      debugging issues
  * debian/patches/fix-riscv64-bridge.diff: More riscv64 bridge
    fixes from https://gerrit.libreoffice.org/c/core/+/160970

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Feb 2024 18:58:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -78,11 +78,11 @@
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
 # bootstraping this from the source tree is breaking get-orig-source
 #lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=7.6.4.1
+lo_sources_ver=7.6.7.2
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-7-6-4
+GIT_BRANCH=libreoffice-7-6-7
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)

=== debian/tests/control ===
Tests: testtools-bridgetest
Architecture: amd64 arm64 ppc64el riscv64
Depends: @builddeps@, ure-java, liblibreoffice-java, default-jdk
Restrictions: allow-stderr, rw-build-tree, superficial

Tests: pyuno-import, uno-import
Depends: python3, python3-uno
Restrictions: superficial

Tests: access2base-import
Depends: python3, python3-access2base
Restrictions: superficial

Tests: scriptforge-import
Depends: python3, python3-scriptforge
Restrictions: superficial

## Is there a need for this small test given we run the UI tests etc.?
#Tests: smoketest
#Architecture: amd64 arm64 riscv64
#Depends: @builddeps@, libreoffice-smoketest-data, libreoffice-dev, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-impress, libreoffice-math, libreoffice-base, libreoffice-sdbc-hsqldb, libreoffice-sdbc-firebird
#Restrictions: allow-stderr, build-needed, rw-build-tree, superficial

# this is already done by smoketest upstream, but fails when doing it against
# the installed LO. works standalone, though, so it's patched out of the
# smoketest. Do it here separately.
Tests: test-extension
Architecture: amd64 arm64 armhf ppc64el s390x
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, superficial, skippable

Tests: test-extension-shared
Architecture: amd64 arm64 armhf ppc64el s390x
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, needs-root, superficial

# in the following some tests need RTL and CJK language packs installed to pass.
# he is the example for RTL, zh-tw for CJK (and zh-tw was choosen to also test xx-YY locales)

# Maybe all those tests should be merged into one (especially for the "small" ones like writerperfect or
# "tiny" ones like sfx2,svx,cui.
# But it already takes ~1.5 h (though including copy..) for all them to run on amd64 and the overall autopkgtest
# test timeout is 166 min (a bit over 2.5 hrs.). What are we doing on slow archs?
# And secondly. one might miss breakage if Java or another package is not installed but is
# required because everything needed would be in Depends: then for one test...
# Try to optimize a bit though by not sorting alphabetically but where the  new packages are a superset so
# we can reuse the testbed

Tests: uicheck-sfx2
Depends: @builddeps@, libreoffice-core, libreoffice-impress, python3-uno
Restrictions: allow-stderr

Tests: uicheck-svx
Depends: @builddeps@, libreoffice-core, libreoffice-impress, python3-uno
Restrictions: allow-stderr

Tests: uicheck-cui
Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
Depends: @builddeps@, libreoffice-core, libreoffice-impress, libreoffice-writer, python3-uno, libreoffice-script-provider-python, libreoffice-script-provider-js, libreoffice-script-provider-bsh
Restrictions: allow-stderr

Tests: uicheck-sd
